# Get started
Connect your own solution to Smartsupp with our REST API. If you just want to use our standard chat box, which needs no programming and can be configured in the Settings (opens new window), the Chat Box docs are the right place for you.
# Create an API token
To interact with the Smartsupp API, you’ll need an API token. You can create one on the API Tokens page (opens new window) in the Smartsupp dashboard.
Your API token carries many privileges, so keep it secret! You can authenticate your requests using the Authorization HTTP header.
# Using the API
curl https://api.smartsupp.com/v2/agents \
-H "Authorization: Bearer <API_TOKEN>"
See the API Docs (opens new window) for the full list of available endpoints.
# Further reading
# Consuming webhooks documentation
Please refer to the consuming webhooks section for information on how to make your app consume webhook events.
# Common usage guide
You can see some common ways people use the Smartsupp API in order to make it even easier for you to get started and follow best practices.
For more information, please refer to the guides section.
Overview →